Bug 161472 - science/py-scipy does not depend on py-numpy
Summary: science/py-scipy does not depend on py-numpy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Eitan Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-10 20:20 UTC by shattered
Modified: 2011-10-20 03:20 UTC (History)
0 users

See Also:


Attachments
patch-scipy.txt (555 bytes, patch)
2011-10-20 02:23 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description shattered 2011-10-10 20:20:07 UTC
It should.

How-To-Repeat: pkg_add -r py-scipy

run a Python script, get an ImportError.
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2011-10-11 23:53:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 Edwin Groothuis freebsd_committer 2011-10-19 22:32:57 UTC
Maintainer of science/py-scipy,

Please note that PR ports/161472 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161472

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-10-19 22:32:59 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Edwin Groothuis freebsd_committer 2011-10-19 22:38:43 UTC
Maintainer of science/py-scipy,

Please note that PR ports/161472 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161472

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 5 Li-Lun Wang 2011-10-20 02:23:01 UTC
Thanks for reporting.
Please use the attached patch to add the correct dependency.
Bumps PORTREVISION.

-- llwang
Comment 6 dfilter service freebsd_committer 2011-10-20 03:16:18 UTC
eadler      2011-10-20 02:16:09 UTC

  FreeBSD ports repository

  Modified files:
    science/py-scipy     Makefile 
  Log:
  - add run time dependency on py-scipy
  
  PR:             ports/161472
  Submitted by:   Sergey Svishchev <svs@ropnet.ru>
  Approved by:    "Li-Lun \"Leland\" Wang" <llwang@infor.org>
  Approved by:    bapt,sahil (mentors, implicit)
  
  Revision  Changes    Path
  1.30      +2 -1      ports/science/py-scipy/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Eitan Adler freebsd_committer freebsd_triage 2011-10-20 03:17:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!